O'Reilly logo

Mastering Eclipse Plug-in Development by Dr. Alex Blewitt

Stay ahead with the world's most comprehensive technology and business learning platform.

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, tutorials, and more.

Start Free Trial

No credit card required

What you need for this book

To run the exercises in this book, you will need a computer with an up-to-date operating system (running Windows, Linux, or Mac OS X). Java also needs to be installed; the book's exercises were tested against JDK 1.7, but newer versions of Java should also work. The exercises were written and tested against both Eclipse Standard 4.4 (Luna) as well as 4.3 (Kepler). The principles should work for future versions of Eclipse as well, but note that each release of Eclipse has a migration guide in the Platform Plug-in Developer Guide help topic that will list any incompatibilities. This help information is also available online at http://help.eclipse.org/ for the current release.

The exercises are available on the Packt website ...

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, interactive tutorials, and more.

Start Free Trial

No credit card required